'use strict';

define([
	'app',
	'libraries/language'
], function (app, LANGUAGE) {
	app.directive('ngLanguage', ['$parse', function($parse) {
		return {
			restrict: 'A',
			link: function(scope, element, attr) {
				scope.$watch($parse(attr['ngLanguage'].trim(), function(values) {

					for(var i in values)
					{
						if(values[i])
						{
							element.text(LANGUAGE.translate(i));
							return;
						}
					}
				}), function (newVal) {
					if(newVal) element.text(LANGUAGE.translate(newVal));
				}, false);
			}
		}
	}]);
});