'use strict';

define([
	'app',
	'libraries/language'
	], function(app, LANGUAGE) {
	app.controller("rootPrivateKey100",
		["$rootScope", "$scope", "$location", "$timeout", "jetapi", "meta", "SweetAlert",
			function ($rootScope, $scope, $location, $timeout, jetapi, meta, SweetAlert) {

				var _id = "100_rootPrivateKey";

				$scope.$on('save', function () {
					jetapi.generateRootEncryptionKey({}, function (response) {
						if(!response.success) {
							$rootScope.$emit("error", LANGUAGE.translate(response.message));
							return;
						}
						$rootScope.$emit("approve", _id);
					});
				});
			}
		]
	);
});